#!/bin/bash

export PATH='/usr/bin:/bin"

PERCENTUALE=$1
ts=`date '+%s'`
QUOTAMAIL=$2/Maildir/new/$ts.quotawarning
USER=$3
DOMAIN=$4
REPLYTO=supporto.email@_HIDDEN_DOMAIN_
DATA=`date '+%a, %d %b %Y %T %Z'`

# DEBUG
# QUOTAMAIL=/tmp/test

logger -p user.debug -t quotawarning "$*"

cat > $QUOTAMAIL << . || logger -p user.debug -t quotawarning "WARNING FALLITO: $*"
From: Amministratore Posta <Mailer-Daemon@$DOMAIN>
Reply-To: $REPLYTO
To: $USER@$DOMAIN
Subject: Mail quota warning
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Message-ID: <$ts@regione.sardegna.it>
Date: $DATA

Gentile Utente,

i Suoi messaggi di posta occupano il $PERCENTUALE% dello spazio disponibile della Sua casella.
Per non perdere nessuna mail in arrivo, La invitiamo a eliminare i messaggi non piu' utili.

Cordiali Saluti

CSR

Telefono: _HIDDEN_NUMBER_
email: $REPLYTO

Orari:
dal Luned al Venerd,
dalle 8 alle 14 e dalle 15 alle 18
.
